## IdeFileSettings IdeFileSettings |

## Functions

IdeFileSettings * | ide_file_settings_new ()
IdeFile * | ide_file_settings_get_file ()
gboolean | ide_file_settings_get_settled ()
#define | IDE_FILE_SETTINGS_PROPERTY()

## Types and Values

#define | IDE_TYPE_FILE_SETTINGS
#define | IDE_FILE_SETTINGS_EXTENSION_POINT
struct | IdeFileSettingsClass
| IdeFileSettings

## Description

## Functions

### ide_file_settings_new ()

    IdeFileSettings *
    ide_file_settings_new (IdeFile *file);

### ide_file_settings_get_file ()

    IdeFile *
    ide_file_settings_get_file (IdeFileSettings *self);

Retrieves the underlying file that `self` refers to.

This may be used by IdeFileSettings implementations to discover additional information about the settings. For example, a modeline parser might load some portion of the file looking for modelines. An editorconfig implementation might look for ".editorconfig" files.

#### Parameters

self | An IdeFileSettings. |

#### Returns

An IdeFile.

[transfer none]

### ide_file_settings_get_settled ()

    gboolean
    ide_file_settings_get_settled (IdeFileSettings *self);

Gets the “settled” property.

This property is `TRUE` when all of the children file settings have completed loading.

Some file setting implementations require that various I/O be performed on disk in the background. This property will change to `TRUE` when all of the settings have been loaded.

Normally, this is not a problem, since the editor will respond to changes and update them accordingly. However, if you are writing a tool that prints the file settings (such as ide-list-file-settings), you probably want to wait until the values have settled.

#### Parameters

self | An IdeFileSettings. |

#### Returns

`TRUE` if all the settings have loaded.

### IDE_FILE_SETTINGS_PROPERTY()

    #define             IDE_FILE_SETTINGS_PROPERTY(_1, name, _2, ret_type, _3, _4, _5, _6)

## Types and Values

### IDE_TYPE_FILE_SETTINGS

    #define IDE_TYPE_FILE_SETTINGS            (ide_file_settings_get_type())

### IDE_FILE_SETTINGS_EXTENSION_POINT

    #define IDE_FILE_SETTINGS_EXTENSION_POINT "org.gnome.libide.extensions.file-settings"

### struct IdeFileSettingsClass

    struct IdeFileSettingsClass {
      IdeObjectClass parent;
    };

### IdeFileSettings

    typedef struct _IdeFileSettings IdeFileSettings;